Skip to main content
GET
/
api
/
v1
/
apps
/
{app_id}
/
resource_types
/
{resource_type_id}
/
resource
/
{resource_id}
/
ownerids
ListOwnerIDs
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppResourceOwners.ListOwnerIDs(ctx, operations.C1APIAppV1AppResourceOwnersListOwnerIDsRequest{
        AppID: "<id>",
        ResourceID: "<id>",
        ResourceTypeID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.ListAppResourceOwnerIDsResponse != nil {
        // handle response
    }
}
{
  "userIds": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

resource_type_id
string
required

The resourceTypeId field.

resource_id
string
required

The resourceId field.

Response

200 - application/json

The response message for listing app resource owners IDs.

The response message for listing app resource owners IDs.

userIds
string[] | null

The list of owner IDs for the app resource.